#ifndef _UIO_H_
#define _UIO_H_


/* For size_t */
#include <Winsock2.h>

typedef	char * caddr_t;

/*
 * Define the uio buffers used for writev, readv.
 */

struct iovec {
	caddr_t iov_base;
	int iov_len;
};



#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


int	writev( SOCKET	socket, const struct iovec *iov, int len);
int	readv ( SOCKET	socket, const struct iovec *iov, int len);
void	Win32_Sock2init(void);


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _UIO_H_ */
